package com.neusoft.smart.pos.device.persistent.mapper;

import com.neusoft.smart.pos.device.persistent.domain.Device;
import com.neusoft.smart.pos.device.persistent.domain.DeviceExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DeviceMapper {
	
	int countByExample(DeviceExample example);
	
	int deleteByExample(DeviceExample example);
	
	int deleteByPrimaryKey(Integer id);
	
	int insert(Device record);
	
	int insertSelective(Device record);
	
	List<Device> selectByExample(DeviceExample example);
	
	Device selectByPrimaryKey(Integer id);
	
	int updateByExampleSelective(@Param("record") Device record, @Param("example") DeviceExample example);
	
	int updateByExample(@Param("record") Device record, @Param("example") DeviceExample example);
	
	int updateByPrimaryKeySelective(Device record);
	
	int updateByPrimaryKey(Device record);
	
	void batchInsert(@Param("items") List<Device> items);
}